Patchwork [meta-fsl-arm] gst-fsl-plugin: Add virtual/kernel to DEPENDS

login
register
mail settings
Submitter Daiane Angolini
Date June 12, 2013, 5:39 p.m.
Message ID <1371058765-13020-1-git-send-email-daiane.angolini@freescale.com>
Download mbox | patch
Permalink /patch/51617/
State Accepted
Delegated to: Otavio Salvador
Headers show

Comments

Daiane Angolini - June 12, 2013, 5:39 p.m.
For mx6 and mx5, the dependency is already covered,
because imx-lib depends on virtual/kernel

But mx28 does not depends on imx-lib, so it must
depend on virtual/kernel

Change-Id: I9e0b26b833bb870f5f06236e347e35449ea1727b
Signed-off-by: Daiane Angolini <daiane.angolini@freescale.com>
---
 recipes-multimedia/gst-plugins/gst-fsl-plugin.inc |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Patch

diff --git a/recipes-multimedia/gst-plugins/gst-fsl-plugin.inc b/recipes-multimedia/gst-plugins/gst-fsl-plugin.inc
index 264beb2..da2573a 100644
--- a/recipes-multimedia/gst-plugins/gst-fsl-plugin.inc
+++ b/recipes-multimedia/gst-plugins/gst-fsl-plugin.inc
@@ -5,7 +5,7 @@  DESCRIPTION = "Gstreamer freescale plugins"
 LICENSE = "GPLv2 & LGPLv2 & LGPLv2.1"
 SECTION = "multimedia"
 
-DEPENDS = "gstreamer gst-plugins-base libfslcodec libfslparser"
+DEPENDS = "gstreamer gst-plugins-base libfslcodec libfslparser virtual/kernel"
 DEPENDS_append_mx5 = " imx-lib"
 DEPENDS_append_mx6 = " imx-lib libfslvpuwrap"